package com.approximatrix.draco.application.worker;

import java.util.EventObject;

import com.approximatrix.draco.fit.LSFit;

public class WorkerEvent extends EventObject {
	
	/** The analysis being performed */
	private LSFit analysis = null;
	
	/** The constructor for a WorkerEvent
	 * 
	 * @param caller the object creating the event
	 * @param message the type of message to deliver
	 */
	public WorkerEvent(Object caller, LSFit analysis) {
		super(caller);
		this.analysis = analysis;
	}
	
	/** Returns the message */
	public LSFit getAnalysis() {
		return this.analysis;
	}
}
